<?php
// Obtenha o id_vereador do formulário
$id_vereador = filter_input(INPUT_POST, 'vereador_id', FILTER_VALIDATE_INT);

// Valide se o id_vereador é um inteiro válido
if ($id_vereador === false || $id_vereador === null) {
    echo 'Erro: ID do Vereador inválido.';
    exit;
}

// Valide se o id_vereador existe na tabela vereadores
$vereadoresDao = new \Dao\Vereadores();
$vereador = $vereadoresDao->getVereadorPorId($conecta, $id_vereador);

if ($vereador !== null) {
    // O Vereador foi encontrado, continue com o processamento
    try {
        // Restante do seu código
    } catch (\Exception $e) {
        // Exibir detalhes da exceção (mensagem de erro)
        echo 'Erro: ' . $e->getMessage();
    }
} else {
    // O id_vereador não é válido
    echo 'Erro: Vereador não encontrado.';
}


if ($vereador !== null) {
    // O Vereador foi encontrado, continue com o processamento
    try {
        // Continue com o processamento e salvamento no banco de dados
        $requerimentosDao = new \Dao\Requerimentos();

        // Defina os outros valores do requerimento
        $requerimentosDao->nome = filter_input(INPUT_POST, 'nome', FILTER_SANITIZE_STRING);
        // Converta o formato da data
        $data_input = filter_input(INPUT_POST, 'data', FILTER_SANITIZE_STRING);
        $requerimentosDao->data = date('Y-m-d H:i:s', strtotime($data_input));

        $requerimentosDao->tipo = filter_input(INPUT_POST, 'tipo', FILTER_SANITIZE_STRING);
        $requerimentosDao->texto = filter_input(INPUT_POST, 'texto', FILTER_SANITIZE_STRING);
        $requerimentosDao->situacao = filter_input(INPUT_POST, 'situacao', FILTER_SANITIZE_STRING);
        // Atribua o id_vereador ao objeto de requerimentos
        $requerimentosDao->id_vereador = $id_vereador;

        // Salve o requerimento no banco de dados
        $res = json_decode($requerimentosDao->salvar($conecta));

        // Exibir mensagem com base no resultado
        if ($res->data == 'Success') {
            \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'requerimentos.php');
        } else {
            \Dao\Funcoes::displayMessage('Erro', $res->message, 'requerimentos.php', 'red');
        }
    } catch (\Exception $e) {
        // Exibir detalhes da exceção (mensagem de erro)
        echo 'Erro: ' . $e->getMessage();
    }
} else {
    // O id_vereador não é válido
    echo 'Erro: Vereador não encontrado.';
}
?>
